### robocode

# Class HitRobotEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.HitRobotEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class HitRobotEvent`
`extends Event`

A HitRobotEvent is sent to `onHitRobot()` when your robot collides with another robot. You can use the information contained in this event to determine what to do.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `HitRobotEvent(String name, double bearing, double energy, boolean atFault)`
    Called by the game to create a new HitRobotEvent.

  ## Method Summary

  `@Deprecated`

  `String getRobotName()`
    Deprecated. Use `getName()` instead.

  `@Deprecated`

  `double getBearingDegrees()`
    Deprecated. Use `getBearing()` instead.

  `double`

  `getBearing()`
    Returns the bearing to the robot you hit, relative to your robot's heading, in degrees (-180 <= getBearing() <32180)

  `double`

  `getBearingRadians()`
    Returns the bearing to the robot you hit, relative to your robot's heading, in radians (-PI <= getBearingRadians() <32PI)

  `double`

  `getEnergy()`
    Returns the amount of energy of the robot you hit.

  `String`

  `getName()`
    Returns the name of the robot you hit.

  `@Override`

  `int compareTo(Event event)`

  `boolean`

  `isMyFault()`
    Checks if your robot was moving towards the robot that was hit.

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### HitRobotEvent

    public HitRobotEvent(String name,
                         double bearing,
                         double energy,
                         boolean atFault)

> Called by the game to create a new HitRobotEvent.
> Parameters:
>   `name` - the name of the robot you hit
>   `bearing` - the bearing to the robot that your robot hit, in radians
>   `energy` - the amount of energy of the robot you hit
>   `atFault` - `true` if your robot was moving toward the other robot; `false` otherwise

## Method Details

### String getRobotName

    public @Deprecated String getRobotName()

> Deprecated. Use `getName()` instead.

> Returns:
>   the name of the robot you hit

### double getBearingDegrees

    public @Deprecated double getBearingDegrees()

> Deprecated. Use `getBearing()` instead.

> Returns:
>   the bearing to the robot you hit, in degrees

### getBearing

    public double getBearing()

> Returns the bearing to the robot you hit, relative to your robot's heading, in degrees (-180 <= getBearing() <32180)
> Returns:
>   the bearing to the robot you hit, in degrees

### getBearingRadians

    public double getBearingRadians()

> Returns the bearing to the robot you hit, relative to your robot's heading, in radians (-PI <= getBearingRadians() <32PI)
> Returns:
>   the bearing to the robot you hit, in radians

### getEnergy

    public double getEnergy()

> Returns the amount of energy of the robot you hit.
> Returns:
>   the amount of energy of the robot you hit

### getName

    public String getName()

> Returns the name of the robot you hit.
> Returns:
>   the name of the robot you hit

### int compareTo

    public final @Override int compareTo(Event event)

### isMyFault

    public boolean isMyFault()

> Checks if your robot was moving towards the robot that was hit.

> If isMyFault() returns `true` then your robot's movement (including turning) will have stopped and been marked complete.

> Note: If two robots are moving toward each other and collide, they will each receive two HitRobotEvents. The first will be the one if isMyFault() returns `true`.
> Returns:
>   `true` if your robot was moving towards the robot that was hit; `false` otherwise.